/***************************************************************************
**
**    $Header$
**
**    $Log$
** 
****************************************************************************/

// status.h : CSuperStatusBar
//

#ifndef _STATUS_H_
#define _STATUS_H_

////////////////////////////////////////////////////////////////////////////
// CSuperStatusBar

class CSuperStatusBar : public CStatusBar
{
// Construction
    DECLARE_DYNAMIC(CSuperStatusBar)
public:
    CSuperStatusBar();
	BOOL CreateBar(CWnd * pParentWnd);

public:
	int m_nColorFlag;
	
// Operations
public:
    void UpdateStatusBar(void);
	void UpdateStatusBar(int nIndex, const CString strPrompt);
    void UpdateStatusBar(BOOL bRunning);
    void UpdateColor(void);
    
// Implementation
public:                    
    virtual ~CSuperStatusBar();

protected:
    // Generated message map functions
    //{{AFX_MSG(CSuperStatusBar)
	afx_msg void OnPaint();
	//}}AFX_MSG
    DECLARE_MESSAGE_MAP()
};

#endif
/////////////////////////////(EOF)///////////////////////////////////////////
